filan1a Posted July 9, 2008 Posted July 9, 2008 Here's a new question. I work in model and have lot of prints to do (look the attached pic). i would like a lisp to print by clicking the botom left corner, after i have defined the plot style with "page setup manager" all replies are welcomed. thanks. Quote
JerryG Posted July 9, 2008 Posted July 9, 2008 Hi Filan Have you given any thought to moving to Paper space? This can easily be done there with layouts. Quote
LCE Posted July 9, 2008 Posted July 9, 2008 Hi FilanHave you given any thought to moving to Paper space? This can easily be done there with layouts. I will second that. EDIT: That was supposed to say I will second that, not 1 will second that, I am not the queen. Quote
filan1a Posted July 10, 2008 Author Posted July 10, 2008 Hey guys. By myself is all right because i use paperspace, but when i receive files from other studios like architectural or electric or h/vac they usualy use model space. and the arrangement of all those in paperspace takes time. In fact when I first wrotte this thread i was thinking about asking a lisp to make a new layout with viewport by cliking at botom point. Quote
JerryG Posted July 10, 2008 Posted July 10, 2008 Even with a lisp I think you will still have the problem of different size title blocks etc. What I normally will do when I get a dwg done all in MS is block out the TitlBlock - insert into PS (2008 and 09 now have the CHNGSPACE command) Scale down by whatever there dwg scale was - then create VP and use Zoom XP. If there are multiple floor plans it is simply a matter of creating a new layout (right click layout tab and select "Move or copy" - Select (Move to End) and check the box "Create a Copy" then rename the new Layout. This will copy the VP etc so that you dont have to keep recreating them for each plan. Just personel pref - but I will then saveas and create Seperate sheets for each floor plan etc. and delete the extra tabs. Hope that helps somewhat:) Quote
JONTHEPOPE Posted July 10, 2008 Posted July 10, 2008 Really, I Gave Up Trying To Find A Lisp For Plotting .ive Nerer Found One Thats Could Even Polt!!!??@?!>. But Have You Tried The Named View Ports It Make Lots Of Diffrent Vp In Paper Space & Model . Does That Help(?) Good Luck . Quote
ML0940 Posted July 11, 2008 Posted July 11, 2008 filan1a I am not very good at LISP but I may be able to help you with VBA code. I do agree with the others, there is nothing wrong with the way your drawing are arranged in Model but with very little work, you could create layouts with view ports in paper, that you could scale without in the view port. If you really want to plot in Model, the I agree with JON; have you tired named view ports in Model In VBA, you can do some stuff with them as well ML Quote
filan1a Posted July 14, 2008 Author Posted July 14, 2008 Thank for your replies ML0940, JONTHEPOPE and JerryG JerryG If I prepare the page-setup-manager there is no problem for the tilte blocks size. JONTHEPOPE With named viewport nothing came out ML0940 any code is accepted if it works with Acad2006 (and maybe other versions) filan1a I am not very good at LISP but I may be able to help you with VBA code. I do agree with the others, there is nothing wrong with the way your drawing are arranged in Model but with very little work, you could create layouts with view ports in paper, that you could scale without in the view port. If you really want to plot in Model, the I agree with JON; have you tired named view ports in Model In VBA, you can do some stuff with them as well ML Quote
ML0940 Posted July 14, 2008 Posted July 14, 2008 filan You may want to look at this post http://www.cadtutor.net/forum/showthread.php?t=24923&page=3 Please realize that any code will need to be tweaked to your needs I was always a big user of page setups; in ACAD, there is the psetup command if you want to import a pagesetup via an ACAD menu macro but the code in this post will allow you to creat plotconfigs on the fly with the run of one macro ML Quote
ML0940 Posted July 16, 2008 Posted July 16, 2008 Hi JON How are you? Filan, I wanted to also say that the code that was initially posted in the other post, was posted by Cmdr. All code examples, that is, in this post and in the post that I directed you to with the link above should have no problem working in 2006. You will have to find the method that best suits your needs ML Quote
filan1a Posted July 16, 2008 Author Posted July 16, 2008 Hi JONHow are you? Filan, I wanted to also say that the code that was initially posted in the other post, was posted by Cmdr. All code examples, that is, in this post and in the post that I directed you to with the link above should have no problem working in 2006. You will have to find the method that best suits your needs ML ML I'm still not able to gather the code. if you could assembe it in a "zip" or a "dvb" maybe i can run it. thanks Quote
JONTHEPOPE Posted July 16, 2008 Posted July 16, 2008 I Feel Fine Thanks . I Also Find I Harder With Vba Have You Tried Zoom E? Quote
ML0940 Posted July 17, 2008 Posted July 17, 2008 Filan I'm not sure what code you are referring to? JON, It will take time but you need to keep plugging away. I'm not sure that forums are the best palce to learn VBA for beginners but there are certainly lots of info on THe Net that can get you going. I'm sorry, what did you mean by try Zoom E? Zoom Extents? With what? ML Quote
filan1a Posted July 17, 2008 Author Posted July 17, 2008 ML I was refering the vba codes in the liked thread http://www.cadtutor.net/forum/showthread.php?t=24923&page=3, that you mentioned earlier. Quote
pefi Posted July 17, 2008 Posted July 17, 2008 Here's a new question.I work in model and have lot of prints to do (look the attached pic). i would like a lisp to print by clicking the botom left corner, after i have defined the plot style with "page setup manager" all replies are welcomed. thanks. Test this: (defun c:cplot () (setq pt (getpoint "\nPick a point")) (command "-plot" "Y" "" "" "" "" "" "" "W" pt "10000000,10000000" "" "" "" "" "" "" "" "" "" ) ) It's a KISS method in practice... Przemo Quote
ML0940 Posted July 17, 2008 Posted July 17, 2008 Hi Filan As I was saying when I first replied, there are 2 methods you can take; it looks like others in this post are steering you cowards VBA code that will allow you to use existing Page setups. If you are interested, I can dig up a simple ACAD menu macro that will allow you to import existing page setups from a template. It starts with ^c^cpsetupin; In this case, no VBA or LISP is needed. You would put the macro in a button, pull down, palette, whichever method you prefer, then you create one template with all of you page setups, then import them from that into your current drawing. Filan as far as the other post that I directed you to, Cmdr originally posted that code. I only have what he originally posted in the post; I have not had the time yet to play with it for my needs yet. However, by looking at it, I can see what is going on. In Cmdr's code, he is creating a PlotConfig (page setup) brand new, from scratch, each time he needs it, therefore he does not need any page setup code. This is a preference, I think both ways are equally sound, but you will have to decide which method that you want to take. As far as collecting all the code, all you need to do is start at the beginning of this post, and the other post, copy and paste the code in something, like two different modules in VBA. Once you have decided on a methodology, then you will be able to ask very specific questions, based on your individual needs. I hope this makes sense? ML Quote
ML0940 Posted July 17, 2008 Posted July 17, 2008 Pefi I would not be able to help you too my with The LISP but as a VBA programmer, I would think that you would need to pick two points to define your view. Then again, if you pick one point, you can likely get the upper bounds of the view to which you want to plot. Also, it sounds like you are looking to programtically change plotstlyes first as well? ML Quote
JONTHEPOPE Posted January 23, 2009 Posted January 23, 2009 have you tried script file ?? it's like code for learners gointo note pad and type something like this -- -plot dwgtopdf window 0,0 24,36 y y n y y save as.scr each line represents auto cad command eg: Command:Plot what device .. dwgtopdf print what window pick points now i realize this is pretty amature code but i don't happen to have any scr files here at home with me . so if you reply to this ill check at lunch and get you a working .scr file if you need it Quote
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.